import { AfterViewInit, ElementRef, EventEmitter } from '@angular/core';
import { ModalModel } from './modal.model';
export declare class ModalComponent implements AfterViewInit, ModalModel {
    static readonly defaultProps: ModalModel;
    modalRef: ElementRef;
    backdropRef: ElementRef;
    onOpenEmitter: EventEmitter<void>;
    onCloseEmitter: EventEmitter<void>;
    className: string;
    dismissOnBackdrop: boolean;
    hasBackdrop: boolean;
    hasCloseButton: boolean;
    isOpen: boolean;
    transitionDuration: number;
    prefix: string;
    constructor();
    ngAfterViewInit(): void;
    closeByBackdrop(event: Event): void;
    open(): void;
    close(): void;
}
